/* CSS GERAL*/
*{
    font-family:Verdana, Arial, Helvetica, sans-serif;
}
.ui-widget, .ui-widget .ui-widget {
    font-size: 12px !important;
    color:black;
    font-family:Verdana, Arial, Helvetica, sans-serif;
}

.borderNone tr , .borderNone td{
    border:none !important;
}

.separator{
    border:none !important;
}

.ui-datatable thead th, .ui-datatable tbody td, .ui-datatable tfoot td{
    white-space:normal !important;
}

.ui-datatable tr.ui-datatable-even:hover, .ui-datatable tr.ui-datatable-odd:hover {
    background: #78BCFF;
}


/* ## FILTER COMBO ## */
.ui-selectonemenu-filter-container{
    width: 90%;
}

.ui-selectonemenu-panel .ui-selectonemenu-filter {
    width:95%;
}

.ui-accordion .ui-accordion-header.ui-state-default a{
    text-decoration: none;
}

a{
    text-decoration: none;
}

.selectOneRadioColumn td {
    border: none !important;
}
.ui-radiobutton {
    margin-left: auto !important;
    margin-right: auto !important;
}

.ui-priority-primary{
    color: #FFF !important;
    font-weight: 100 !important;
}

.ui-priority-primary-green{
    color: #ffffff !important;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25) !important;
    background-color: #006400 !important;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#228B22), to(#006400)) !important;
    background-image: -webkit-linear-gradient(top, #228B22, #006400) !important;
    background-image: -o-linear-gradient(top, #228B22, #006400) !important;
    background-image: linear-gradient(to bottom, #228B22, #006400) !important;
    background-image: -moz-linear-gradient(top, #228B22, #006400) !important;
    background-repeat: repeat-x !important;
    border-color: #006400 #006400 #006400 #006400 !important;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25) !important;
    filter: progid:dximagetransform.microsoft.gradient(startColorstr='#ff228B22', endColorstr='#ff006400', GradientType=0) !important;
    filter: progid:dximagetransform.microsoft.gradient(enabled=false) !important;
}

.ui-priority-primary-red{
    color: #ffffff !important;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25) !important;
    background-color: #640000 !important;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#8b2222), to(#640000)) !important;
    background-image: -webkit-linear-gradient(top, #8b2222, #640000) !important;
    background-image: -o-linear-gradient(top, #8b2222, #640000) !important;
    background-image: linear-gradient(to bottom, #8b2222, #640000) !important;
    background-image: -moz-linear-gradient(top, #8b2222, #640000) !important;
    background-repeat: repeat-x !important;
    border-color: #640000 #640000 #640000 #640000 !important;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25) !important;
    filter: progid:dximagetransform.microsoft.gradient(startColorstr='#ff8b2222', endColorstr='#ff640000', GradientType=0) !important;
    filter: progid:dximagetransform.microsoft.gradient(enabled=false) !important;
}

.ui-priority-primary-yellow{
    color: #ffffff !important;
    text-shadow: 0 -1px 0 rgba(0, 0, 0, 0.25) !important;
    background-color: #646000 !important;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#8b2222), to(#646000)) !important;
    background-image: -webkit-linear-gradient(top, #8b2222, #646000) !important;
    background-image: -o-linear-gradient(top, #8b2222, #646000) !important;
    background-image: linear-gradient(to bottom, #8b2222, #646000) !important;
    background-image: -moz-linear-gradient(top, #8b2222, #646000) !important;
    background-repeat: repeat-x !important;
    border-color: #646000 #646000 #646000 #646000 !important;
    border-color: rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.1) rgba(0, 0, 0, 0.25) !important;
    filter: progid:dximagetransform.microsoft.gradient(startColorstr='#ff8b2222', endColorstr='#ff646000', GradientType=0) !important;
    filter: progid:dximagetransform.microsoft.gradient(enabled=false) !important;
}

.ui-priority-primary-white-green{
    background-color: #bae5b9 !important;
    background-image: -ms-linear-gradient(top, #ffffff, #bae5b9) ;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#bae5b9)) !important;
    background-image: -webkit-linear-gradient(top, #ffffff, #bae5b9) !important;
    background-image: -o-linear-gradient(top, #ffffff, #bae5b9) !important;
    background-image: linear-gradient(top, #ffffff, #bae5b9) !important;
    background-image: -moz-linear-gradient(top, #ffffff, #bae5b9) !important;
    border-color: #ccc #ccc #ccc #ccc !important;
    filter: progid:dximagetransform.microsoft.gradient(startColorstr='#ffffff', endColorstr='#bae5b9', GradientType=0) !important;
    filter: progid:dximagetransform.microsoft.gradient(enabled=false) !important;
}

.ui-priority-primary-white-red{
    background-color: #e5b9b9 !important;
    background-image: -ms-linear-gradient(top, #ffffff, #e5b9b9) ;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e5b9b9)) !important;
    background-image: -webkit-linear-gradient(top, #ffffff, #e5b9b9) !important;
    background-image: -o-linear-gradient(top, #ffffff, #e5b9b9) !important;
    background-image: linear-gradient(top, #ffffff, #e5b9b9) !important;
    background-image: -moz-linear-gradient(top, #ffffff, #e5b9b9) !important;
    border-color: #ccc #ccc #ccc #ccc !important;
    filter: progid:dximagetransform.microsoft.gradient(startColorstr='#ffffff', endColorstr='#e5b9b9', GradientType=0) !important;
    filter: progid:dximagetransform.microsoft.gradient(enabled=false) !important;
}

.ui-priority-primary-white-blue{
    background-color: #b9bce5 !important;
    background-image: -ms-linear-gradient(top, #ffffff, #b9bce5) ;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#b9bce5)) !important;
    background-image: -webkit-linear-gradient(top, #ffffff, #b9bce5) !important;
    background-image: -o-linear-gradient(top, #ffffff, #b9bce5) !important;
    background-image: linear-gradient(top, #ffffff, #b9bce5) !important;
    background-image: -moz-linear-gradient(top, #ffffff, #b9bce5) !important;
    border-color: #ccc #ccc #ccc #ccc !important;
    filter: progid:dximagetransform.microsoft.gradient(startColorstr='#ffffff', endColorstr='#b9bce5', GradientType=0) !important;
    filter: progid:dximagetransform.microsoft.gradient(enabled=false) !important;
}

.ui-priority-primary-white-yellow{
    background-color: #e5dfb9 !important;
    background-image: -ms-linear-gradient(top, #ffffff, #e5dfb9) ;
    background-image: -webkit-gradient(linear, 0 0, 0 100%, from(#ffffff), to(#e5dfb9)) !important;
    background-image: -webkit-linear-gradient(top, #ffffff, #e5dfb9) !important;
    background-image: -o-linear-gradient(top, #ffffff, #e5dfb9) !important;
    background-image: linear-gradient(top, #ffffff, #e5dfb9) !important;
    background-image: -moz-linear-gradient(top, #ffffff, #e5dfb9) !important;
    border-color: #ccc #ccc #ccc #ccc !important;
    filter: progid:dximagetransform.microsoft.gradient(startColorstr='#ffffff', endColorstr='#e5dfb9', GradientType=0) !important;
    filter: progid:dximagetransform.microsoft.gradient(enabled=false) !important;
}

.ui-state-highlight-white .ui-icon{
    background-image:url("/portal-negociacao/javax.faces.resource/images/ui-icons_ffffff_256x240.png.jsf?ln=primefaces-bootstrap");
}

.ui-tabs .ui-tabs-nav li .ui-icon{
    margin: 0.3em 0.2em 0 0 !important;
}

.ui-tabs .ui-tabs-nav.ui-widget-header li a{
    margin: 0px !important;
    padding-top: 3px !important;
    padding-bottom: 3px !important;
}

.ui-tabs-nav:hover{
    background: #FFF !important;
}

.ui-tabs-panel .ui-widget-content .ui-corner-bottom .ui-helper-hidden{
    width: 100% !important;
}

.tableFilter input.ui-column-filter, .tableFilter input.ui-inputfield{
    width: 95% !important;
    margin-top: 5px !important;
    margin-bottom: 5px !important;
}

.tablerow1 {
    background-color: #BBBBBB;
}

tfoot {
    background-color: #BBBBFF;
}

/* Basic formats */

.bold {
    font-weight: bold;
}

.italic {
    font-style: italic;
}

.underline {
    text-decoration: underline;
}

/* Global align classes */

.left {
    text-align: inherit;
}

.center {
    text-align: center;
}

.right {
    text-align: right;
}

.full {
    text-align: justify
}

/* Image and table specific aligns */

img.left, table.left {
    float: left;
    text-align: inherit;
}

img.center, table.center {
    margin-left: auto;
    margin-right: auto;
    text-align: inherit;
}

img.center {
    display: block;
}

img.right, table.right {
    float: right;
    text-align: inherit;
}


.logoEmpresa{
    margin-left: 165px;
    width: 200px !important;
    height: 65px !important;
}

.title{
    font-weight: bold !important;
}

.telaLogin{
    margin-top: 100px !important;

}

.telaLogin .formLogin{

    width: 600px !important;
    margin: 0 auto !important;
    min-height: 270px !important;

}

.box{
    -webkit-border-radius: 5px !important;
    -moz-border-radius: 5px !important;
    border-radius: 5px !important;
    -webkit-box-shadow: 0pt 2px 5px rgba(105, 108, 109, 0.7),	0px 0px 8px 5px rgba(208, 223, 226, 0.4) inset;
    -moz-box-shadow: 0pt 2px 5px rgba(105, 108, 109, 0.7),	0px 0px 8px 5px rgba(208, 223, 226, 0.4) inset;
    box-shadow: 0pt 2px 5px rgba(105, 108, 109, 0.7),	0px 0px 8px 5px rgba(208, 223, 226, 0.4) inset;
    -webkit-box-shadow: 5px;
}
label{
    padding-left: 5px !important;
    padding-right: 5px !important;
}

header#contentTituloPage{
    margin: 0px !important;
    padding: 0px !important;
}



.tituloPage{
    font-size: 28px !important;
    text-align: center !important;
    text-transform: capitalize !important;
}

.subtituloPage,.subtituloPage2,.subtituloPageRed{
    text-shadow: 0px 1px 1px rgba(255,255,255,0.8) !important;
    text-align: left !important;
    font-weight: bold !important;
}
.subtituloPage{
    color: rgba(26,89,120,0.9) !important;

}

.subtituloPageRed{
    color: #A52A2A !important;
}

.subtituloPage2{
    color: #7cbcd6 !important;
}

.subtituloPage3{
    color: #808080 !important;
    font-size: 16px !important;
}

